classification
Title: IDLE: configdialog -- add docstrings and improve comments
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: cheryl.sabella, louielu, terry.reedy, vstinner
Priority: normal Keywords:

Created on 2017-06-26 21:57 by terry.reedy, last changed 2017-07-05 20:21 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2440 merged cheryl.sabella, 2017-06-27 12:58
PR 2576 merged terry.reedy, 2017-07-05 02:48
PR 2577 merged terry.reedy, 2017-07-05 03:02
PR 2579 merged terry.reedy, 2017-07-05 03:05
Messages (6)
msg296955 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-06-26 21:57
Spinoff from #30728.  Docstrings are a form of comment.  Both leave behavior alone and do not require testing, just human review.  Add the docstrings from the original version of PR 2307, and any others.  Review and fix comments in light of the comments on that PR.
msg297030 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2017-06-27 13:01
I've made a PR for the docstrings and comments.  I didn't change any of the comments separating the sections in the create* functions as I wasn't sure how you wanted those changed.  When reading the code, I found the comments helpful in that they separated each section, but whitespace might be just as helpful, visually.

Thanks!
msg297059 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-06-27 17:22
Louie, perhaps you would like to review the PR, especially the comment revisions responding to your comments.
msg297693 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-05 01:31
New changeset 7eb5883ac59833bf63f0e1f7fb95671a1ac1ee08 by terryjreedy (csabella) in branch 'master':
bpo-30777: IDLE: configdialog - add docstrings and improve comments (#2440)
https://github.com/python/cpython/commit/7eb5883ac59833bf63f0e1f7fb95671a1ac1ee08
msg297699 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-05 04:54
New changeset e5bb112ba2048cb3ea19481a7b38fe1433c5a7ef by terryjreedy in branch '3.6':
[3.6] bpo-30777: IDLE: configdialog - add docstrings and improve comments (GH-2440) (#2577)
https://github.com/python/cpython/commit/e5bb112ba2048cb3ea19481a7b38fe1433c5a7ef
msg297778 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-05 20:21
Unlinked bogus revert message.  configdialog still has new docstrings.
History
Date User Action Args
2017-07-05 20:21:52terry.reedysetversions: + Python 3.7
2017-07-05 20:21:04terry.reedysetmessages: + msg297778
2017-07-05 20:20:34terry.reedysetmessages: - msg297741
2017-07-05 13:44:55vstinnersetnosy: + vstinner
messages: + msg297741
2017-07-05 04:56:34terry.reedysetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2017-07-05 04:54:58terry.reedysetmessages: + msg297699
2017-07-05 03:05:10terry.reedysetpull_requests: + pull_request2649
2017-07-05 03:02:11terry.reedysetpull_requests: + pull_request2647
2017-07-05 02:48:06terry.reedysetpull_requests: + pull_request2646
2017-07-05 01:31:03terry.reedysetmessages: + msg297693
2017-06-27 17:22:18terry.reedysetnosy: terry.reedy, louielu, cheryl.sabella
messages: + msg297059
2017-06-27 13:01:52cheryl.sabellasetmessages: + msg297030
2017-06-27 12:58:51cheryl.sabellasetpull_requests: + pull_request2489
2017-06-27 00:46:41terry.reedylinkissue30728 dependencies
2017-06-26 22:41:15terry.reedysetassignee: terry.reedy
components: + IDLE
versions: + Python 3.6
2017-06-26 21:57:01terry.reedycreate